[tier-3] Intermittent test_about_private_browsing.py TestAboutPrivateBrowsing.testCheckAboutPrivateBrowsing | NoSuchElementException: Unable to locate element: learnMore

REOPENED
Unassigned

Status

Testing
Firefox UI Tests
REOPENED
a year ago
15 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Version 3
bulk-close-intermittents, intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell unknown])

Here the stack:

04:54:10     INFO - Traceback (most recent call last):
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\venv\lib\site-packages\marionette_harness\marionette_test\testcases.py", line 157, in run
04:54:10     INFO -     testMethod()
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\tests\firefox-ui\tests\functional\private_browsing\test_about_private_browsing.py", line 58, in testCheckAboutPrivateBrowsing
04:54:10     INFO -     tab = pb_window.tabbar.open_tab(trigger=tab_opener)
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\venv\lib\site-packages\firefox_puppeteer\ui\browser\tabbar.py", line 129, in open_tab
04:54:10     INFO -     trigger(self.selected_tab)
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\tests\firefox-ui\tests\functional\private_browsing\test_about_private_browsing.py", line 55, in tab_opener
04:54:10     INFO -     link = tab.marionette.find_element(By.ID, 'learnMore')
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\venv\lib\site-packages\marionette_driver\marionette.py", line 1819, in find_element
04:54:10     INFO -     return self._send_message("findElement", body, key="value")
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\venv\lib\site-packages\marionette_driver\decorators.py", line 23, in _
04:54:10     INFO -     return func(*args, **kwargs)
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\venv\lib\site-packages\marionette_driver\marionette.py", line 735, in _send_message
04:54:10     INFO -     self._handle_error(err)
04:54:10     INFO -   File "c:\jenkins\workspace\mozilla-central_functional\build\venv\lib\site-packages\marionette_driver\marionette.py", line 768, in _handle_error
04:54:10     INFO -     raise errors.lookup(error)(message, stacktrace=stacktrace)

The only thing I could imagine here is that the shown page running under chrome privileges hasn't been finished loading. And as such the link with the id "learnMore" is not present yet.

Comment 2

a year ago
16 failures in 814 pushes (0.02 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 16

Platform breakdown:
* windows8-64: 5
* windows7-64: 5
* windows8-32: 3
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373561&startday=2017-06-12&endday=2017-06-18&tree=all
This seems to only happen in our own Mozmill-CI instance which report as tier-3. I should take a look at it at some point.
Summary: Intermittent test_about_private_browsing.py TestAboutPrivateBrowsing.testCheckAboutPrivateBrowsing | NoSuchElementException: Unable to locate element: learnMore → [tier-3] Intermittent test_about_private_browsing.py TestAboutPrivateBrowsing.testCheckAboutPrivateBrowsing | NoSuchElementException: Unable to locate element: learnMore
marking as [stockwell unknown] so we don't necessarily track it given that this job is tier-3.
Whiteboard: [stockwell unknown]

Comment 5

a year ago
24 failures in 892 pushes (0.027 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 24

Platform breakdown:
* windows8-64: 9
* windows7-64: 8
* windows8-32: 4
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373561&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 6

a year ago
6 failures in 718 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 6

Platform breakdown:
* windows8-64: 2
* windows7-64: 2
* windows8-32: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373561&startday=2017-06-26&endday=2017-07-02&tree=all

Comment 7

a year ago
1 failures in 888 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* cedar: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1373561&startday=2017-07-31&endday=2017-08-06&tree=all
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
Status: RESOLVED → VERIFIED
Blocks: 1472798
Duplicate of this bug: 1472798
Status: VERIFIED → REOPENED
Resolution: INCOMPLETE → ---
You need to log in before you can comment on or make changes to this bug.